#pragma once
#include "EntityState.h"
extern const int CS_KingSTATENAME_SWORDV3;
class CS_KingSwordV3 :
    public EntitySkillState
{
public:
    CS_KingSwordV3();
    const wchar_t* GetSaveName() override;
    const wchar_t* GetFuncName() override;
    const wchar_t* GetCheckFuncName() override;
    void SubStep() override;
    void ChangeStateMsg(int stateID) override;
};

